import { JsonRpcApiProviderOptions, JsonRpcProvider, Networkish, FetchRequest } from 'ethers';
export declare class LoggingJsonRpcProvider extends JsonRpcProvider {
    private readonly urlConfig;
    constructor(urlConfig: FetchRequest, network?: Networkish, options?: JsonRpcApiProviderOptions);
    send(method: string, params: any[]): Promise<any>;
}
